diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/ipcs-classifier-record.h ns-3.44/src/wimax/model/ipcs-classifier-record.h
--- ns-3.43/src/wimax/model/ipcs-classifier-record.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/ipcs-classifier-record.h	2025-03-09 16:55:49.815372700 -0700
@@ -20,8 +20,8 @@
 {
 
 /**
- * \ingroup wimax
- * \brief IpcsClassifierRecord class
+ * @ingroup wimax
+ * @brief IpcsClassifierRecord class
  */
 class IpcsClassifierRecord
 {
@@ -29,17 +29,17 @@
     IpcsClassifierRecord();
     ~IpcsClassifierRecord();
     /**
-     * \brief creates a classifier records and sets all its parameters
-     * \param srcAddress the source ip address
-     * \param srcMask the mask to apply on the source ip address
-     * \param dstAddress the destination ip address
-     * \param dstMask the mask to apply on the destination ip address
-     * \param srcPortLow the lower boundary of the source port range
-     * \param srcPortHigh the higher boundary of the source port range
-     * \param dstPortLow the lower boundary of the destination port range
-     * \param dstPortHigh the higher boundary of the destination port range
-     * \param protocol the L4 protocol
-     * \param priority the priority of this classifier
+     * @brief creates a classifier records and sets all its parameters
+     * @param srcAddress the source ip address
+     * @param srcMask the mask to apply on the source ip address
+     * @param dstAddress the destination ip address
+     * @param dstMask the mask to apply on the destination ip address
+     * @param srcPortLow the lower boundary of the source port range
+     * @param srcPortHigh the higher boundary of the source port range
+     * @param dstPortLow the lower boundary of the destination port range
+     * @param dstPortHigh the higher boundary of the destination port range
+     * @param protocol the L4 protocol
+     * @param priority the priority of this classifier
      *
      */
     IpcsClassifierRecord(Ipv4Address srcAddress,
@@ -53,62 +53,62 @@
                          uint8_t protocol,
                          uint8_t priority);
     /**
-     * \brief Decodes a TLV and creates a classifier
-     * \param tlv the TLV to decode and from which the classifier parameters will be extracted
+     * @brief Decodes a TLV and creates a classifier
+     * @param tlv the TLV to decode and from which the classifier parameters will be extracted
      */
     IpcsClassifierRecord(Tlv tlv);
     /**
-     * \brief Creates a TLV from this classifier
-     * \return the created TLV
+     * @brief Creates a TLV from this classifier
+     * @return the created TLV
      */
     Tlv ToTlv() const;
     /**
-     * \brief add a new source ip address to the classifier
-     * \param srcAddress the source ip address
-     * \param srcMask the mask to apply on the source ip address
+     * @brief add a new source ip address to the classifier
+     * @param srcAddress the source ip address
+     * @param srcMask the mask to apply on the source ip address
      */
     void AddSrcAddr(Ipv4Address srcAddress, Ipv4Mask srcMask);
     /**
-     * \brief add a new destination ip address to the classifier
-     * \param dstAddress the destination ip address
-     * \param dstMask the mask to apply on the destination ip address
+     * @brief add a new destination ip address to the classifier
+     * @param dstAddress the destination ip address
+     * @param dstMask the mask to apply on the destination ip address
      */
     void AddDstAddr(Ipv4Address dstAddress, Ipv4Mask dstMask);
     /**
-     * \brief add a range of source port to the classifier
-     * \param srcPortLow the lower boundary of the source port range
-     * \param srcPortHigh the higher boundary of the source port range
+     * @brief add a range of source port to the classifier
+     * @param srcPortLow the lower boundary of the source port range
+     * @param srcPortHigh the higher boundary of the source port range
      */
     void AddSrcPortRange(uint16_t srcPortLow, uint16_t srcPortHigh);
     /**
-     * \brief add a range of destination port to the classifier
-     * \param dstPortLow the lower boundary of the destination port range
-     * \param dstPortHigh the higher boundary of the destination port range
+     * @brief add a range of destination port to the classifier
+     * @param dstPortLow the lower boundary of the destination port range
+     * @param dstPortHigh the higher boundary of the destination port range
      */
     void AddDstPortRange(uint16_t dstPortLow, uint16_t dstPortHigh);
     /**
-     * \brief add a protocol to the classifier
-     * \param proto the L4 protocol to add
+     * @brief add a protocol to the classifier
+     * @param proto the L4 protocol to add
      */
     void AddProtocol(uint8_t proto);
     /**
-     * \brief Set the priority of this classifier
-     * \param prio the priority of the classifier
+     * @brief Set the priority of this classifier
+     * @param prio the priority of the classifier
      */
     void SetPriority(uint8_t prio);
     /**
-     * \brief Set the index of the classifier
-     * \param index the index of the classifier
+     * @brief Set the index of the classifier
+     * @param index the index of the classifier
      */
     void SetIndex(uint16_t index);
     /**
-     * \brief check if a packets can be used with this classifier
-     * \param srcAddress the source ip address of the packet
-     * \param dstAddress the destination ip address of the packet
-     * \param srcPort the source port of the packet
-     * \param dstPort the destination port of the packet
-     * \param proto The L4 protocol of the packet
-     * \return true if there is a match
+     * @brief check if a packets can be used with this classifier
+     * @param srcAddress the source ip address of the packet
+     * @param dstAddress the destination ip address of the packet
+     * @param srcPort the source port of the packet
+     * @param dstPort the destination port of the packet
+     * @param proto The L4 protocol of the packet
+     * @return true if there is a match
      */
     bool CheckMatch(Ipv4Address srcAddress,
                     Ipv4Address dstAddress,
@@ -116,52 +116,52 @@
                     uint16_t dstPort,
                     uint8_t proto) const;
     /**
-     * \return the cid associated with this classifier
+     * @return the cid associated with this classifier
      */
     uint16_t GetCid() const;
     /**
-     * \return the priority of this classifier
+     * @return the priority of this classifier
      */
     uint8_t GetPriority() const;
     /**
-     * \return the index of this classifier
+     * @return the index of this classifier
      */
     uint16_t GetIndex() const;
     /**
-     * \brief Set the cid associated to this classifier
-     * \param cid the connection identifier
+     * @brief Set the cid associated to this classifier
+     * @param cid the connection identifier
      */
     void SetCid(uint16_t cid);
 
   private:
     /**
      * Check match source address function
-     * \param srcAddress source IP address to check
-     * \returns true if a match
+     * @param srcAddress source IP address to check
+     * @returns true if a match
      */
     bool CheckMatchSrcAddr(Ipv4Address srcAddress) const;
     /**
      * Check match destination address function
-     * \param dstAddress destination IP address to check
-     * \returns true if a match
+     * @param dstAddress destination IP address to check
+     * @returns true if a match
      */
     bool CheckMatchDstAddr(Ipv4Address dstAddress) const;
     /**
      * Check match source port function
-     * \param srcPort source port to check
-     * \returns true if a match
+     * @param srcPort source port to check
+     * @returns true if a match
      */
     bool CheckMatchSrcPort(uint16_t srcPort) const;
     /**
      * Check match destination port function
-     * \param dstPort destination port to check
-     * \returns true if a match
+     * @param dstPort destination port to check
+     * @returns true if a match
      */
     bool CheckMatchDstPort(uint16_t dstPort) const;
     /**
      * Check match protocol function
-     * \param proto protocol number to check
-     * \returns true if a match
+     * @param proto protocol number to check
+     * @returns true if a match
      */
     bool CheckMatchProtocol(uint8_t proto) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/mac-messages.h ns-3.44/src/wimax/model/mac-messages.h
--- ns-3.43/src/wimax/model/mac-messages.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/mac-messages.h	2025-03-09 16:55:49.815372700 -0700
@@ -25,7 +25,7 @@
 {
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * Mac Management messages
  * Section 6.3.2.3 MAC Management messages page 42, Table 14 page 43
  */
@@ -52,26 +52,26 @@
     /**
      * Constructor
      *
-     * \param type message type
+     * @param type message type
      */
     ManagementMessageType(uint8_t type);
     ~ManagementMessageType() override;
     /**
      * Set type field
-     * \param type the type
+     * @param type the type
      */
     void SetType(uint8_t type);
     /**
      * Get type field
-     * \returns the type value
+     * @returns the type value
      */
     uint8_t GetType() const;
 
-    /** \returns the name field */
+    /** @returns the name field */
     std::string GetName() const;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -105,7 +105,7 @@
 {
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * This class implements the ranging response message described by "IEEE Standard for
  * Local and metropolitan area networks Part 16: Air Interface for Fixed Broadband Wireless Access
  * Systems" 6.3.2.3.6 Ranging response (RNG-RSP) message, page 50
@@ -116,156 +116,156 @@
     RngRsp();
     ~RngRsp() override;
     /**
-     * \brief set the  Tx timing offset adjustment (signed 32-bit).
-     * \param timingAdjust The time required to advance SS transmission so frames
+     * @brief set the  Tx timing offset adjustment (signed 32-bit).
+     * @param timingAdjust The time required to advance SS transmission so frames
      * arrive at the expected time instance at the BS.
      */
     void SetTimingAdjust(uint32_t timingAdjust);
     /**
-     * \brief set the relative change in transmission power level that the SS should make in order
+     * @brief set the relative change in transmission power level that the SS should make in order
      * that transmissions arrive at the BS at the desired power. When subchannelization is employed,
      * the subscriber shall interpret the power offset adjustment as a required change to the
      * transmitted power density.
-     * \param powerLevelAdjust the relative change in transmission power level
+     * @param powerLevelAdjust the relative change in transmission power level
      */
     void SetPowerLevelAdjust(uint8_t powerLevelAdjust);
     /**
-     * \brief set the relative change in transmission frequency that the SS should take in order to
+     * @brief set the relative change in transmission frequency that the SS should take in order to
      * better match the BS. This is fine-frequency adjustment within a channel, not reassignment to
      * a different channel
-     * \param offsetFreqAdjust Offset frequency adjustment
+     * @param offsetFreqAdjust Offset frequency adjustment
      */
     void SetOffsetFreqAdjust(uint32_t offsetFreqAdjust);
     /**
-     * \brief set the range status.
-     * \param rangStatus Range status
+     * @brief set the range status.
+     * @param rangStatus Range status
      */
     void SetRangStatus(uint8_t rangStatus);
     /**
-     * \brief set the Center frequency, in kHz, of new downlink channel where the SS should redo
+     * @brief set the Center frequency, in kHz, of new downlink channel where the SS should redo
      * initial ranging.
-     * \param dlFreqOverride the Center frequency in kHz
+     * @param dlFreqOverride the Center frequency in kHz
      */
     void SetDlFreqOverride(uint32_t dlFreqOverride);
     /**
-     * \brief set the identifier of the uplink channel with which the SS is to redo initial ranging
-     * \param ulChnlIdOverride the uplink channel index
+     * @brief set the identifier of the uplink channel with which the SS is to redo initial ranging
+     * @param ulChnlIdOverride the uplink channel index
      */
     void SetUlChnlIdOverride(uint8_t ulChnlIdOverride);
     /**
-     * \brief set the DL oper burst profile
-     * \param dlOperBurstProfile the oper burt profile
+     * @brief set the DL oper burst profile
+     * @param dlOperBurstProfile the oper burt profile
      */
     void SetDlOperBurstProfile(uint16_t dlOperBurstProfile);
     /**
-     * \brief set the MAC address
-     * \param macAddress the MAC address
+     * @brief set the MAC address
+     * @param macAddress the MAC address
      */
     void SetMacAddress(Mac48Address macAddress);
 
     /**
-     * \brief set basic CID.
-     * \param basicCid Basic CID
+     * @brief set basic CID.
+     * @param basicCid Basic CID
      */
     void SetBasicCid(Cid basicCid);
     /**
-     * \brief set primary CID.
-     * \param primaryCid Primary CID
+     * @brief set primary CID.
+     * @param primaryCid Primary CID
      */
     void SetPrimaryCid(Cid primaryCid);
 
     /**
-     * \brief set AAS broadcast permission.
-     * \param aasBdcastPermission AAS broadcast permission
+     * @brief set AAS broadcast permission.
+     * @param aasBdcastPermission AAS broadcast permission
      */
     void SetAasBdcastPermission(uint8_t aasBdcastPermission);
     /**
-     * \brief set frame number.
-     * \param frameNumber Frame number
+     * @brief set frame number.
+     * @param frameNumber Frame number
      */
     void SetFrameNumber(uint32_t frameNumber);
     /**
-     * \brief set initial range opp number.
-     * \param initRangOppNumber Initial range opp number
+     * @brief set initial range opp number.
+     * @param initRangOppNumber Initial range opp number
      */
     void SetInitRangOppNumber(uint8_t initRangOppNumber);
     /**
-     * \brief set range sub channel.
-     * \param rangSubchnl Range subchannel
+     * @brief set range sub channel.
+     * @param rangSubchnl Range subchannel
      */
     void SetRangSubchnl(uint8_t rangSubchnl);
     /**
-     * \return Tx timing offset adjustment (signed 32-bit). The time required to advance SS
+     * @return Tx timing offset adjustment (signed 32-bit). The time required to advance SS
      * transmission so frames arrive at the expected time instance at the BS.
      */
     uint32_t GetTimingAdjust() const;
     /**
-     * \return the relative change in transmission power level that the SS should take in order
+     * @return the relative change in transmission power level that the SS should take in order
      * that transmissions arrive at the BS at the desired power. When subchannelization is employed,
      * the subscriber shall interpret the power offset adjustment as a required change to the
      * transmitted power density.
      */
     uint8_t GetPowerLevelAdjust() const;
     /**
-     * \return the relative change in transmission frequency that the SS should take in order to
+     * @return the relative change in transmission frequency that the SS should take in order to
      * better match the BS. This is fine-frequency adjustment within a channel, not reassignment to
      * a different channel.
      */
     uint32_t GetOffsetFreqAdjust() const;
     /**
-     * \return the range status.
+     * @return the range status.
      */
     uint8_t GetRangStatus() const;
     /**
-     * \return Center frequency, in kHz, of new downlink channel where the SS should redo initial
+     * @return Center frequency, in kHz, of new downlink channel where the SS should redo initial
      * ranging.
      */
     uint32_t GetDlFreqOverride() const;
     /**
-     * \return The identifier of the uplink channel with which the SS is to redo initial ranging
+     * @return The identifier of the uplink channel with which the SS is to redo initial ranging
      */
     uint8_t GetUlChnlIdOverride() const;
     /**
-     * \return DlOperBurstProfile: This parameter is sent in response to the RNG-REQ Requested
+     * @return DlOperBurstProfile: This parameter is sent in response to the RNG-REQ Requested
      * Downlink Burst Profile parameter
      */
     uint16_t GetDlOperBurstProfile() const;
     /**
-     * \return MAC address
+     * @return MAC address
      */
     Mac48Address GetMacAddress() const;
     /**
-     * \return basic CID
+     * @return basic CID
      */
     Cid GetBasicCid() const;
     /**
-     * \return primary CID
+     * @return primary CID
      */
     Cid GetPrimaryCid() const;
     /**
-     * \return AAS broadcast permission
+     * @return AAS broadcast permission
      */
     uint8_t GetAasBdcastPermission() const;
     /**
-     * \return frame number
+     * @return frame number
      */
     uint32_t GetFrameNumber() const;
     /**
-     * \return initial range opp number
+     * @return initial range opp number
      */
     uint8_t GetInitRangOppNumber() const;
     /**
-     * \return range sub channel
+     * @return range sub channel
      */
     uint8_t GetRangSubchnl() const;
 
     /**
-     * \return name string
+     * @return name string
      */
     std::string GetName() const;
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -366,7 +366,7 @@
 namespace ns3
 {
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * This class implements the DSA-REQ message described by "IEEE Standard for
  * Local and metropolitan area networks Part 16: Air Interface for Fixed Broadband Wireless Access
  * Systems" 6.3.2.3.10 DSA-REQ message, page 62
@@ -379,52 +379,52 @@
     /**
      * Constructor
      *
-     * \param sf service flow
+     * @param sf service flow
      */
     DsaReq(ServiceFlow sf);
     /**
-     * \brief set the transaction ID
-     * \param transactionId
+     * @brief set the transaction ID
+     * @param transactionId
      */
     void SetTransactionId(uint16_t transactionId);
     /**
-     * \brief set the service flow identifier
-     * \param sfid the service flow identifier
+     * @brief set the service flow identifier
+     * @param sfid the service flow identifier
      */
     void SetSfid(uint32_t sfid);
     /**
-     * \brief set the connection identifier
-     * \param cid the connection identifier
+     * @brief set the connection identifier
+     * @param cid the connection identifier
      */
     void SetCid(Cid cid);
     /**
-     * \brief specify a service flow to be requested by this message
-     * \param sf the service flow
+     * @brief specify a service flow to be requested by this message
+     * @param sf the service flow
      */
     void SetServiceFlow(ServiceFlow sf);
     /**
-     * \return the service flow requested by this message
+     * @return the service flow requested by this message
      */
     ServiceFlow GetServiceFlow() const;
     /**
-     * \return the transaction ID
+     * @return the transaction ID
      */
     uint16_t GetTransactionId() const;
     /**
-     * \return the service flow identifier
+     * @return the service flow identifier
      */
     uint32_t GetSfid() const;
     /**
-     * \return the connection identifier
+     * @return the connection identifier
      */
     Cid GetCid() const;
     /**
-     * \return the service name
+     * @return the service name
      */
     std::string GetName() const;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -461,11 +461,11 @@
 {
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * This class implements the DSA-RSP message described by "IEEE Standard for
  * Local and metropolitan area networks Part 16: Air Interface for Fixed Broadband Wireless Access
  * Systems" 6.3.2.3.11 DSA-RSP message, page 63
- * \verbatim
+ * @verbatim
    0             7             15            23
    +-------------+-------------+-------------+
    |Mngt msg type|       Transaction ID      |
@@ -481,59 +481,59 @@
     ~DsaRsp() override;
 
     /**
-     * \brief set the transaction ID
-     * \param transactionId
+     * @brief set the transaction ID
+     * @param transactionId
      */
     void SetTransactionId(uint16_t transactionId);
     /**
-     * \return the transaction ID
+     * @return the transaction ID
      */
     uint16_t GetTransactionId() const;
 
     /**
-     * \brief set the confirmation code
-     * \param confirmationCode
+     * @brief set the confirmation code
+     * @param confirmationCode
      */
     void SetConfirmationCode(uint16_t confirmationCode);
     /**
-     * \return the confirmation code
+     * @return the confirmation code
      */
     uint16_t GetConfirmationCode() const;
     /**
-     * \brief set the service flow identifier
-     * \param sfid the service flow identifier
+     * @brief set the service flow identifier
+     * @param sfid the service flow identifier
      */
     void SetSfid(uint32_t sfid);
     /**
-     * \return the service flow identifier
+     * @return the service flow identifier
      */
     uint32_t GetSfid() const;
     /**
-     * \brief set the connection identifier
-     * \param cid the connection identifier
+     * @brief set the connection identifier
+     * @param cid the connection identifier
      */
     void SetCid(Cid cid);
     /**
-     * \return the connection identifier
+     * @return the connection identifier
      */
     Cid GetCid() const;
     /**
-     * \brief specify a service flow to be requested by this message
-     * \param sf the service flow
+     * @brief specify a service flow to be requested by this message
+     * @param sf the service flow
      */
     void SetServiceFlow(ServiceFlow sf);
     /**
-     * \return the service flow requested by this message
+     * @return the service flow requested by this message
      */
     ServiceFlow GetServiceFlow() const;
 
     /**
-     * \return the service name
+     * @return the service name
      */
     std::string GetName() const;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -569,7 +569,7 @@
 {
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * This class implements the DSA-ACK message described by "IEEE Standard for
  * Local and metropolitan area networks Part 16: Air Interface for Fixed Broadband Wireless Access
  * Systems" 6.3.2.3.12 DSA-ACK message, page 64
@@ -582,34 +582,34 @@
 
     /**
      * Set transaction ID field
-     * \param transactionId the transaction ID
+     * @param transactionId the transaction ID
      */
     void SetTransactionId(uint16_t transactionId);
     /**
      * Get transaction ID field
-     * \returns the transaction ID
+     * @returns the transaction ID
      */
     uint16_t GetTransactionId() const;
 
     /**
      * Set confirmation code field
-     * \param confirmationCode the confirmation code
+     * @param confirmationCode the confirmation code
      */
     void SetConfirmationCode(uint16_t confirmationCode);
     /**
      * Get confirmation code field
-     * \returns the confirmation code
+     * @returns the confirmation code
      */
     uint16_t GetConfirmationCode() const;
 
     /**
      * Get name field
-     * \return the name string
+     * @return the name string
      */
     std::string GetName() const;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -643,7 +643,7 @@
 {
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * This class implements the ranging request message described by "IEEE Standard for
  * Local and metropolitan area networks Part 16: Air Interface for Fixed Broadband Wireless Access
  * Systems"
@@ -656,44 +656,44 @@
 
     /**
      * Set request DL burst profile field
-     * \param reqDlBurstProfile the request DL burst profile
+     * @param reqDlBurstProfile the request DL burst profile
      */
     void SetReqDlBurstProfile(uint8_t reqDlBurstProfile);
     /**
      * Set MAC address field
-     * \param macAddress the MAC address
+     * @param macAddress the MAC address
      */
     void SetMacAddress(Mac48Address macAddress);
     /**
      * Set ranging anomalies field
-     * \param rangingAnomalies the rnaging anomalies
+     * @param rangingAnomalies the rnaging anomalies
      */
     void SetRangingAnomalies(uint8_t rangingAnomalies);
 
     /**
      * Get request DL burst profile field
-     * \returns the request DL burst profile
+     * @returns the request DL burst profile
      */
     uint8_t GetReqDlBurstProfile() const;
     /**
      * Get MAC address field
-     * \returns the MAC address
+     * @returns the MAC address
      */
     Mac48Address GetMacAddress() const;
     /**
      * Get ranging anomalies field
-     * \returns the ranging anomalies
+     * @returns the ranging anomalies
      */
     uint8_t GetRangingAnomalies() const;
 
     /**
-     * \brief Get name field
-     * \returns the name string
+     * @brief Get name field
+     * @returns the name string
      */
     std::string GetName() const;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/ofdm-downlink-frame-prefix.h ns-3.44/src/wimax/model/ofdm-downlink-frame-prefix.h
--- ns-3.43/src/wimax/model/ofdm-downlink-frame-prefix.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/ofdm-downlink-frame-prefix.h	2025-03-09 16:55:49.815372700 -0700
@@ -17,9 +17,9 @@
 {
 
 /**
- * \ingroup wimax
- * \brief This class implements  the DL Frame Prefix IE as described by IEEE-802.16 standard
- * \brief The DL Frame Prefix IE is contained in DLFP (Downlink Frame Prefix) in OFDM PHY
+ * @ingroup wimax
+ * @brief This class implements  the DL Frame Prefix IE as described by IEEE-802.16 standard
+ * @brief The DL Frame Prefix IE is contained in DLFP (Downlink Frame Prefix) in OFDM PHY
  */
 class DlFramePrefixIe
 {
@@ -29,72 +29,72 @@
 
     /**
      * Set rate ID field
-     * \param rateId the rate ID
+     * @param rateId the rate ID
      */
     void SetRateId(uint8_t rateId);
     /**
      * Set DIUC field
-     * \param diuc the DIUC
+     * @param diuc the DIUC
      */
     void SetDiuc(uint8_t diuc);
     /**
      * Set preamble present field
-     * \param preamblePresent the preambel present
+     * @param preamblePresent the preambel present
      */
     void SetPreamblePresent(uint8_t preamblePresent);
     /**
      * Set length field
-     * \param length the length
+     * @param length the length
      */
     void SetLength(uint16_t length);
     /**
      * Set start time field
-     * \param startTime the start time
+     * @param startTime the start time
      */
     void SetStartTime(uint16_t startTime);
 
     /**
      * Get rate ID field
-     * \returns the rate ID
+     * @returns the rate ID
      */
     uint8_t GetRateId() const;
     /**
      * Get DIUC field
-     * \returns the DIUC
+     * @returns the DIUC
      */
     uint8_t GetDiuc() const;
     /**
      * Get preamble present field
-     * \returns the preamble present
+     * @returns the preamble present
      */
     uint8_t GetPreamblePresent() const;
     /**
      * Get length field
-     * \returns the length
+     * @returns the length
      */
     uint16_t GetLength() const;
     /**
      * Get start time field
-     * \returns the start time
+     * @returns the start time
      */
     uint16_t GetStartTime() const;
 
     /**
      * Get size field
-     * \returns the size
+     * @returns the size
      */
     uint16_t GetSize() const;
 
     /**
      * Write item function
-     * \param start the iterator
-     * \returns the updated iterator
+     * @param start the iterator
+     * @returns the updated iterator
      */
     Buffer::Iterator Write(Buffer::Iterator start) const;
     /**
      * Read item function
-     * \param start the iterator
-     * \returns the updated iterator
+     * @param start the iterator
+     * @returns the updated iterator
      */
     Buffer::Iterator Read(Buffer::Iterator start);
 
@@ -134,65 +134,65 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Set base station ID field
-     * \param baseStationId the base station ID
+     * @param baseStationId the base station ID
      */
     void SetBaseStationId(Mac48Address baseStationId);
     /**
      * Set frame number field
-     * \param frameNumber the frame number
+     * @param frameNumber the frame number
      */
     void SetFrameNumber(uint32_t frameNumber);
     /**
      * Set configuration change count field
-     * \param configurationChangeCount the configuration change count
+     * @param configurationChangeCount the configuration change count
      */
     void SetConfigurationChangeCount(uint8_t configurationChangeCount);
     /**
      * Add DL frame prefix element field
-     * \param dlFramePrefixElement the DL frame prefix element
+     * @param dlFramePrefixElement the DL frame prefix element
      */
     void AddDlFramePrefixElement(DlFramePrefixIe dlFramePrefixElement);
     /**
      * Set HCS field
-     * \param hcs the HCS
+     * @param hcs the HCS
      */
     void SetHcs(uint8_t hcs);
 
     /**
      * Get base station ID field
-     * \returns the base station ID
+     * @returns the base station ID
      */
     Mac48Address GetBaseStationId() const;
     /**
      * Get frame number field
-     * \returns the frame number
+     * @returns the frame number
      */
     uint32_t GetFrameNumber() const;
     /**
      * Get configuration change count field
-     * \returns the configuration change count
+     * @returns the configuration change count
      */
     uint8_t GetConfigurationChangeCount() const;
     /**
      * Get DL frame prefix elements
-     * \returns the DL frame prefix elements
+     * @returns the DL frame prefix elements
      */
     std::vector<DlFramePrefixIe> GetDlFramePrefixElements() const;
     /**
      * Get HCS field
-     * \returns the HCS
+     * @returns the HCS
      */
     uint8_t GetHcs() const;
 
     /**
      * Get name field
-     * \returns the name
+     * @returns the name
      */
     std::string GetName() const;
     void Print(std::ostream& os) const override;
